using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using IMLibrary.Controls;
using IMLibrary.Controls.EmotionPanel;

namespace OurMsg.Controls
{
    public partial class PanelFace : UserControl
    {
        public PanelFace()
        {
            InitializeComponent();
            _popup = new Popup(this);

            this.EcSystemFace .ItemClick +=  new EmotionItemMouseEventHandler(EmotionContainerItemClick);
        }

        Popup _popup = null;

        void EmotionContainerItemClick(object sender, EmotionItemMouseClickEventArgs e)
        {
            _popup.Close();
        }

        public EmotionContainer EmotionContainer
        {
            get { return EcSystemFace; }
        }

        public void Show(Control owner)
        {
            Point p = new Point(0, 0);
            _popup.Show(owner, p, ToolStripDropDownDirection.AboveRight);
        }

        private void krbTabControl1_SelectedIndexChanged(object sender, EventArgs e)
        {

        }
    }
}
